<?php

namespace Netzmacher\Caddy\Domain\Model;

/* * *
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2019-2020 - Dirk Wildt (Die Netzmacher) <http://wildt@die-netzmacher.de>, Die Netzmacher
 *
 * * */

/**
 * Order
 * 
 * @version 9.1.0
 * @since 9.1.0
 * @internal #t3910
 */
class Order extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

	/**
	 * customeremail
	 * 
	 * @var string
	 * @validate NotEmpty
	 */
	protected $customeremail = '';

	/**
	 * Returns the customeremail
	 * 
	 * @return string $customeremail
	 */
	public function getCustomerEmail()
	{
		return $this->customeremail;
	}

	/**
	 * Sets the customeremail
	 * 
	 * @param string $customeremail
	 * @return void
	 */
	public function setCustomerEmail( $customeremail )
	{
		$this->customeremail = $customeremail;
	}

	/**
	 * sumgross
	 * 
	 * @var double
	 */
	protected $sumgross = '';

	/**
	 * Returns the sumgross
	 * 
	 */
	public function getSumGross()
	{
		return $this->sumgross;
	}

	/**
	 * Sets the sumgross
	 * 
	 * @param double $sumgross
	 * @return void
	 */
	public function setSumGross( $sumgross )
	{
		$this->sumgross = $sumgross;
	}

	/**
	 * numberinvoice
	 * 
	 * @var integer
	 */
	protected $numberinvoice = '';

	/**
	 * Returns the numberinvoice
	 * 
	 */
	public function getNumberInvoice()
	{
		return $this->numberinvoice;
	}

	/**
	 * Sets the numberinvoice
	 * 
	 * @param inetger $numberinvoice
	 * @return void
	 */
	public function setNumberInvoice( $numberinvoice )
	{
		$this->numberinvoice = $numberinvoice;
	}

	/**
	 * quantity
	 * 
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $quantity = '';

	/**
	 * Returns the quantity
	 * 
	 * @return integer $quantity
	 */
	public function getQuantity()
	{
		return $this->quantity;
	}

	/**
	 * Sets the quantity
	 * 
	 * @param integer $quantity
	 * @return void
	 */
	public function setQuantity( $quantity )
	{
		$this->quantity = $quantity;
	}

	/**
	 * tstamp
	 * 
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $tstamp = '';

	/**
	 * Returns the tstamp
	 * 
	 * @return integer $tstamp
	 */
	public function getTstamp()
	{
		return $this->tstamp;
	}

	/**
	 * Sets the tstamp
	 * 
	 * @param integer $tstamp
	 * @return void
	 */
	public function setTstamp( $tstamp )
	{
		$this->tstamp = $tstamp;
	}

	/**
	 * crdate
	 * 
	 * @var integer
	 * @validate NotEmpty
	 */
	protected $crdate = '';

	/**
	 * Returns the crdate
	 * 
	 * @return integer $crdate
	 */
	public function getCrdate()
	{
		return $this->crdate;
	}

	/**
	 * Sets the crdate
	 * 
	 * @param integer $crdate
	 * @return void
	 */
	public function setCrdate( $crdate )
	{
		$this->crdate = $crdate;
	}

	/**
	 * The items of the order
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Netzmacher\Caddy\Domain\Model\Item>
	 * @cascade remove
	 * @lazy
	 */
	protected $txCaddyItem;

	/**
	 * __construct
	 */
	public function __construct()
	{

		//Do not remove the next line: It would break the functionality
		$this->initStorageObjects();
	}

	/**
	 * Initializes all ObjectStorage properties
	 * 
	 * @return void
	 */
	protected function initStorageObjects()
	{
		$this->txCaddyItem = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Adds an item to the order
	 *
	 * @param Item The item to be added
	 * @return void
	 */
	public function addItem( Item $item )
	{
		$this->txCaddyItem->attach( $item );
	}

	/**
	 * Returns the items of the order
	 *
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Netzmacher\Caddy\Domain\Model\Item> txCaddyItem
	 */
	public function getTxCaddyItem()
	{
		return $this->txCaddyItem;
	}

}
