<?php

if( !defined( 'TYPO3_MODE' ) )
{
	$prompt = 'Access denied.<br />' . __FILE__ . ' (#' . __LINE__ . ')';
	die( $prompt );
}

/* * ****************************************************************************
 *
 * INDEX
 * Set TYPO3 version
 * Set powermail version
 * Configuration by the extension manager
 *    Database read only
 *    Localization support
 * Enables the Include Static Templates
 * Add pagetree icons
 * Methods for backend workflows
 * Plugin Configuration
 * Allow tables on pages
 * Enables Page TSconfig for powermail
 * 
 * **************************************************************************** */

////////////////////////////////////////////////////////////////////////////
//
// Set TYPO3 version
// Set TYPO3 version as integer (sample: 4.7.7 -> 4007007)
list( $main, $sub, $bugfix ) = explode( '.', TYPO3_version );
$version = ( ( int ) $main ) * 1000000;
$version = $version + ( ( int ) $sub ) * 1000;
$version = $version + ( ( int ) $bugfix ) * 1;
$typo3Version = $version;
// Set TYPO3 version as integer (sample: 4.7.7 -> 4007007)

if( $typo3Version < 6000000 )
{
	$prompt = '<h1>ERROR</h1>
    <h2>Unproper TYPO3 version</h2>
    <ul>
      <li>
        TYPO3 version is smaller than 6.0.0
      </li>
      <li>
        constant TYPO3_version: ' . TYPO3_version . '
      </li>
      <li>
        integer $this->typo3Version: ' . ( int ) $this->typo3Version . '
      </li>
    </ul>
      ';
	die( $prompt );
}
// Set TYPO3 version
////////////////////////////////////////////////////////////////////////////
//
// Set powermail version
// #i0226, 180312, dwildt, ~
$userfunc = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \Netzmacher\Caddy\Userfunc\Flexform::class );

$arrResult = $userfunc->extMgmVersion( 'powermail' );
$versionInt = $arrResult[ 'int' ];
//$versionStr = $arrResult['str'];
switch( true )
{
	case( $versionInt < 1000000 ):
		$prompt = 'ERROR: unexpected result<br />
      powermail version is below 1.0.0: ' . $versionInt . '<br />
      ext_tables.php method: ' . __METHOD__ . ' (line ' . __LINE__ . ')<br />
      TYPO3 extension: ' . $_EXTKEY;
		// 130720, dwildt, 1-: die( ) blocks the whole TYPO3 system
		//die( $prompt );
		// 130720, dwildt, 1+
		$pmVers = '0x';
		break;
	case( $versionInt < 2000000 ):
		$pmVers = '1x';
		break;
	case( $versionInt < 3000000 ):
		$pmVers = '2x';
		break;
	case( $versionInt < 4000000 ):
		$pmVers = '3x';
		break;
	case( $versionInt < 5000000 ):
		$pmVers = '4x';
		break;
	case( $versionInt < 6000000 ):
		$pmVers = '5x';
		break;
	case( $versionInt < 7000000 ):
		$pmVers = '6x';
		break;
	case( $versionInt >= 7000000 ):
	default:
		$prompt = 'ERROR: unexpected result<br />
      powermail version is higher than 6.x: ' . $versionInt . '<br />
      ext_tables.php method: ' . __METHOD__ . ' (line ' . __LINE__ . ')<br />
      TYPO3 extension: ' . $_EXTKEY;
		// 130720, dwildt, 1-: die( ) blocks the whole TYPO3 system
		//die( $prompt );
		$pmVers = '7x';
		break;
}
// Set powermail version
////////////////////////////////////////////////////////////////////////////
//
// Configuration by the extension manager

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'caddy' ] );

// Language for labels of static templates and page tsConfig
$beLanguage = $confArr[ 'beLanguage' ];
switch( $beLanguage )
{
	case( 'German'):
		$beLanguage = 'de';
		break;
	default:
		$beLanguage = 'default';
}
// Language for labels of static templates and page tsConfig
// Configuration by the extension manager
////////////////////////////////////////////////////////////////////////////
//
// Enables the Include Static Templates
// Case $beLanguage
$path2Ts = 'Configuration/TypoScript/';
// English
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Basis/', 'Caddy [1] Basis' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Css/', 'Caddy [2] + CSS (blue)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Css/orange/', 'Caddy [2.1] + orange' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Css/green/', 'Caddy [2.1] + green' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Css/red/', 'Caddy [2.1] + red' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Bootstrap/4x/', 'Caddy [3] + Bootstrap 4x' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Bootstrap/4x/tx_caddy_pi1/woOptionsWoFee/', 'Caddy [3] + Bootstrap 4x without Caddy options and costs' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Bootstrap/3x/', 'Caddy [3] + Bootstrap 3x' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Bootstrap/3x/tx_caddy_pi1/woOptionsWoFee/', 'Caddy [3] + Bootstrap 3x without Caddy options and costs' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Foundation/5x/', 'Caddy [3] + Foundation' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Foundation/4x/', 'Caddy [3] + Foundation 4.x (deprecated!)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Bootstrap/4x/Css/', 'Caddy [3.1] + Bootstrap 4x CSS' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Bootstrap/3x/Css/', 'Caddy [3.1] + Bootstrap 3x CSS' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Foundation/5x/Css/', 'Caddy [3.1] + Foundation CSS' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Foundation/4x/Css/', 'Caddy [3.1] + Foundation 4.x CSS (deprecated!)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Foundation/5x/Mini/Dropdown/', 'Caddy [3.2] + Foundation Minicaddy Dropdown' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Foundation/5x/Mini/Reveal/', 'Caddy [3.2] + Foundation Minicaddy Reveal' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Start/', 'Caddy [4] Start' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/4x/', 'Caddy [5] Powermail 4.x' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/3.11/', 'Caddy [5] Powermail 3.11 (deprecated!)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/3x/', 'Caddy [5] Powermail 3.x (deprecated!)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/2x/', 'Caddy [5] Powermail 2.x (deprecated!)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/1x/', 'Caddy [5] Powermail 1.x (deprecated!)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/4x/Bootstrap/', 'Caddy [5] Powermail 4.x +Bootstrap' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/3x/css/', 'Caddy [5.1] + Powermail CSS fancy' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/2x/css/', 'Caddy [5.1] + Powermail 2.x (deprecated!) CSS fancy' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/3x/Bootstrap/3x/', 'Caddy [6] + Powermail Bootstrap' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/2x/Bootstrap/3x/', 'Caddy [6] + Powermail 2.x (deprecated!) Bootstrap' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/3x/Foundation/5x/', 'Caddy [6] + Powermail Foundation  (deprecated!)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Powermail/2x/Foundation/5x/', 'Caddy [6] + Powermail 2.x (deprecated!) Foundation' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Properties/ch/', 'Caddy [7] + Properties ch (Switzerland)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Properties/de/', 'Caddy [7] + Properties de (Germany)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'EPayment/paymill/bootstrap/4x/', 'Caddy [8] + E-Payment: Paymill Bootstrap 4x' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'EPayment/paymill/bootstrap/3x/', 'Caddy [8] + E-Payment: Paymill Bootstrap 3x' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'EPayment/paymill/5x/', 'Caddy [8] + E-Payment: Paymill Foundation' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'EPayment/paymill/4x/', 'Caddy [8] + E-Payment: Paymill Foundation 4.x' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Browser/Export/162/', 'Caddy [20] Browser view 162: Orders' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'tt_address/subscribe/', 'Caddy [30] E-mail subscribe (tt_address)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Corona/', 'Caddy [80.0.0] +Corona: reduced german tax' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'JQuery/', 'Caddy [90] + v4.x jQuery (dev only!)' );
//    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Bugfix/Powermail/TyposcriptField/', 'Caddy [98] Bugix: Powermail Typoscript Fields' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, $path2Ts . 'Reset/', 'Caddy [99] Reset' );

/* * ****************************************************************************
 * Register Icons
 * **************************************************************************** */

\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \Netzmacher\Caddy\Utility2x\TCA\Icons::class )->tcaPages();
//    $_EXTKEY = 'caddy';
//    $ext = 'gif';
//    $TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Caddy', 'caddy', \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.' . $ext );
//    $TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Caddy Mini', 'caddymini', \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.' . $ext );
//    \TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-caddy', '../typo3conf/ext/caddy/ext_icon.' . $ext );
//    \TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-caddymini', '../typo3conf/ext/caddy/ext_icon.' . $ext );
///////////////////////////////////////////////////////////
//
// Methods for backend workflows
//require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY).'Resources/Public/Lib/flexform/class.tx_caddy_flexform.php');
// #i0226, 180312, dwildt, 1-
//require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Classes/Lib/Userfunc/class.tx_caddy_userfunc.php');
// Methods for backend workflows
////////////////////////////////////////////////////////////////////////////
//
// Plugin Configuration
// #t0687, 160702, dwildt, 1-
//\TYPO3\CMS\Core\Utility\GeneralUtility::loadTCA( 'tt_content' );

$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $_EXTKEY . '_pi1' ] = 'select_key,recursive,pages';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $_EXTKEY . '_pi1' ] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
		'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tt_content.list_type_pi1',
		$_EXTKEY . '_pi1',
		\Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.gif'
				), 'list_type' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue( $_EXTKEY . '_pi1', 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Pi1/flexform' . $pmVers . '.xml' );

$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $_EXTKEY . '_pi2' ] = 'select_key,recursive,pages';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $_EXTKEY . '_pi2' ] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
		'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tt_content.list_type_pi2',
		$_EXTKEY . '_pi2',
		\Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'Resources/Public/Images/caddy_000_13.png'
				), 'list_type' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue( $_EXTKEY . '_pi2', 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Pi2/flexform.xml' );

$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $_EXTKEY . '_pi3' ] = 'select_key,recursive,pages';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $_EXTKEY . '_pi3' ] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
		'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tt_content.list_type_pi3',
		$_EXTKEY . '_pi3',
		\Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.gif'
				), 'list_type' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue( $_EXTKEY . '_pi3', 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Pi3/flexform.xml' );
// Plugin Configuration
////////////////////////////////////
//
// Allow tables on pages

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_caddy_item ' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_caddy_order ' );
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToInsertRecords( 'tx_caddy_item ' );
//\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToInsertRecords( 'tx_caddy_order ' );
// Allow tables on pages

/* * ****************************************************************************
 * Enables Page TSconfig for powermail
 * **************************************************************************** */

// #i0141, 170327, dwuldt, 1+
require_once( PATH_typo3conf . 'ext/caddy/Configuration/ExtTables/TSconfig/Page/TxPowermail/default.php' );
