<?php

if( !defined( 'TYPO3_MODE' ) )
{
	$prompt = 'Access denied.<br />' . __FILE__ . ' (#' . __LINE__ . ')';
	die( $prompt );
}

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'caddy' ] );

/* * ****************************************************************************
 *
 * INDEX
 * Set TYPO3 version
 * Set powermail version
 * Configuration by the extension manager
 *    Database read only
 *    Localization support
 * Enables the Include Static Templates
 * Add pagetree icons
 * Methods for backend workflows
 * Plugin Configuration
 * Allow tables on pages
 * Enables Page TSconfig for powermail
 * locallangXMLOverride
 * 
 * **************************************************************************** */

////////////////////////////////////////////////////////////////////////////
//
// Set TYPO3 version
// Set TYPO3 version as integer (sample: 4.7.7 -> 4007007)
list( $main, $sub, $bugfix ) = explode( '.', TYPO3_version );
$version = ( ( int ) $main ) * 1000000;
$version = $version + ( ( int ) $sub ) * 1000;
$version = $version + ( ( int ) $bugfix ) * 1;
$typo3Version = $version;
// Set TYPO3 version as integer (sample: 4.7.7 -> 4007007)

if( $typo3Version < 6000000 )
{
	$prompt = '<h1>ERROR</h1>
    <h2>Unproper TYPO3 version</h2>
    <ul>
      <li>
        TYPO3 version is smaller than 6.0.0
      </li>
      <li>
        constant TYPO3_version: ' . TYPO3_version . '
      </li>
      <li>
        integer $this->typo3Version: ' . ( int ) $this->typo3Version . '
      </li>
    </ul>
      ';
	die( $prompt );
}
// Set TYPO3 version
////////////////////////////////////////////////////////////////////////////
//
// Set powermail version
// #i0226, 180312, dwildt, ~
$userfunc = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \Netzmacher\Caddy\Userfunc\Flexform::class );

$arrResult = $userfunc->extMgmVersion( 'powermail' );
$versionInt = $arrResult[ 'int' ];
//$versionStr = $arrResult['str'];
switch( true )
{
	case( $versionInt < 1000000 ):
		$prompt = 'ERROR: unexpected result<br />
      powermail version is below 1.0.0: ' . $versionInt . '<br />
      ext_tables.php method: ' . __METHOD__ . ' (line ' . __LINE__ . ')<br />
      TYPO3 extension: ' . $_EXTKEY;
		// 130720, dwildt, 1-: die( ) blocks the whole TYPO3 system
		//die( $prompt );
		// 130720, dwildt, 1+
		$pmVers = '0x';
		break;
	case( $versionInt < 2000000 ):
		$pmVers = '1x';
		break;
	case( $versionInt < 3000000 ):
		$pmVers = '2x';
		break;
	case( $versionInt < 4000000 ):
		$pmVers = '3x';
		break;
	case( $versionInt < 5000000 ):
		$pmVers = '4x';
		break;
	case( $versionInt < 6000000 ):
		$pmVers = '5x';
		break;
	case( $versionInt < 7000000 ):
		$pmVers = '6x';
		break;
	case( $versionInt >= 7000000 ):
	default:
		$prompt = 'ERROR: unexpected result<br />
      powermail version is higher than 6.x: ' . $versionInt . '<br />
      ext_tables.php method: ' . __METHOD__ . ' (line ' . __LINE__ . ')<br />
      TYPO3 extension: ' . $_EXTKEY;
		// 130720, dwildt, 1-: die( ) blocks the whole TYPO3 system
		//die( $prompt );
		$pmVers = '7x';
		break;
}
// Set powermail version
////////////////////////////////////////////////////////////////////////////
//
// Configuration by the extension manager

/* * ****************************************************************************
 * Add Static Files
 * **************************************************************************** */

require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Configuration/ExtTables/Default/addStaticFile.php');

/* * ****************************************************************************
 * Register Icons
 * **************************************************************************** */

// #t1806, 171207, dwildt, 1-/+
//\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance( \Netzmacher\Caddy\Utility2x\TCA\Icons::class )->tcaPages();
require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Configuration/ExtTables/Default/IconRegistry.php');
require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Configuration/ExtTables/Default/SvgIconProvider.php');

///////////////////////////////////////////////////////////
//
// Methods for backend workflows
//require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY).'Resources/Public/Lib/flexform/class.tx_caddy_flexform.php');
// #i0226, 180312, dwildt, 1-
//require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Classes/Lib/Userfunc/class.tx_caddy_userfunc.php');
// Methods for backend workflows
////////////////////////////////////////////////////////////////////////////
//
// Plugin Configuration
// #t0687, 160702, dwildt, 1-
//\TYPO3\CMS\Core\Utility\GeneralUtility::loadTCA( 'tt_content' );

$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $_EXTKEY . '_pi1' ] = 'select_key,recursive,pages';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $_EXTKEY . '_pi1' ] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array
		(
		'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tt_content.list_type_pi1'
		, $_EXTKEY . '_pi1'
		, \Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.gif'
				)
				, 'list_type'
				, $_EXTKEY
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue( $_EXTKEY . '_pi1', 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Pi1/flexform' . $pmVers . '.xml' );

$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $_EXTKEY . '_pi2' ] = 'select_key,recursive,pages';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $_EXTKEY . '_pi2' ] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
		'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tt_content.list_type_pi2',
		$_EXTKEY . '_pi2',
		\Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'Resources/Public/Images/caddy_000_13.png'
				)
				, 'list_type'
				, $_EXTKEY
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue( $_EXTKEY . '_pi2', 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Pi2/flexform.xml' );

$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $_EXTKEY . '_pi3' ] = 'select_key,recursive,pages';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $_EXTKEY . '_pi3' ] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin( array(
		'LLL:EXT:caddy/Resources/Private/Language/locallang.xlf:tt_content.list_type_pi3',
		$_EXTKEY . '_pi3',
		\Netzmacher\Refresh\Compatibility\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.gif'
				)
				, 'list_type'
				, $_EXTKEY
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue( $_EXTKEY . '_pi3', 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Pi3/flexform.xml' );
// Plugin Configuration

/* * ****************************************************************************
 * Allow tables on pages
 * **************************************************************************** */

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_caddy_item ' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_caddy_order ' );

/* * ****************************************************************************
 * Enables Page TSconfig for powermail
 * **************************************************************************** */

// #i0141, 170327, dwuldt, 1+
require_once( PATH_typo3conf . 'ext/caddy/Configuration/ExtTables/TSconfig/Page/TxPowermail/default.php' );

