plugin.caddy {

  # cat=caddy - database*//100; type=int+; label= Sysfolder*: *Obligate! Uid of the folder, which contains the shop items.
  db.sysfolder =
  # cat=caddy - database*//200; type=text; label= Table*: *Obligate! Name of the table with the items (products). Examples: tx_myextension_products, tx_quickshop_products, tx_cars_model
  db.table =
  # cat=caddy - database*//220; type=text; label= Price*: *Obligate! Label of the field with the gross price of the item (product).
  db.price = price
  # cat=caddy - database*//221; type=text; label= Min items: Label of the field with the minimum order quantity of the item (product).
  db.min =
  # cat=caddy - database*//222; type=text; label= Max items: Label of the field with the minimum order quantity of the item (product).
  db.max =
  # cat=caddy - database*//232; type=text; label= Packing unit: Field with the packing unit.
  db.packingunit = packingunit
  # cat=caddy - database*//232; type=text; label= Packing unit label: Field with the label of the packing unit.
  db.packingunitlabel = packingunitlabel
  # cat=caddy - database*//240; type=text; label= Service Attribute 1: Label of the field with the service attribute 1 of the item (product).
  db.service_attribute_1 =
  # cat=caddy - database*//241; type=text; label= Service Attribute 2: Label of the field with the service attribute 2 of the item (product).
  db.service_attribute_2 =
  # cat=caddy - database*//242; type=text; label= Service Attribute 3: Label of the field with the service attribute 3 of the item (product).
  db.service_attribute_3 =
  # cat=caddy - database*//250; type=text; label= SKU: Label of the field with the sku (unique id) of the item (product).
  db.sku =
  # cat=caddy - database*//251; type=text; label= Stock management: Label of the field, where you are enabling or disabling the stock management. If value in your field is disabled, the quantity in stock would not decrease after ordering. There must be a corresponding adjustment at constant editor [CADDY - INVENTORY CONTROL].
  db.stockmanagement =
  # cat=caddy - database*//252; type=text; label= Stock quantitity: Label of the field with the quantity of the item in the stock. There must be a corresponding adjustment at constant editor [CADDY - INVENTORY CONTROL].
  db.stockquantity =
  # cat=caddy - database*//263; type=text; label= Tax*: *Obligate! Label of the field with the tax category of the item (product).
  db.tax = tax
  # cat=caddy - database*//264; type=text; label= Title*: *Obligate! Label of the field with the title of the item (product).
  db.title = title
  # cat=caddy - database*//265; type=text; label= Weight: Label of the field with the weight of the item (product).
  db.weight = weight
  # cat=caddy - database*/others/998;    type=user[Netzmacher\Caddy\Userfunc\Flexform->promptExternalLinks]; label=External Links:typo3-caddy.de
  db.externalLinks = Click me!
  # cat=caddy - database*/others/999;    type=user[Netzmacher\Caddy\Userfunc\Flexform->promptSponsors]; label=Subsidise the Caddy project!
  db.sponsors = Click me!

}

<INCLUDE_TYPOSCRIPT: source="FILE:EXT:caddy/Configuration/TypoScript/Basis/Plugin/TxCaddyPi1/_constants/database/_constants.ts">