  // draft invoice
temp.caddy = 
temp.caddy {
    // default invoice: term of credit, recommend us
  draftInvoice = COA
  draftInvoice {
			// if field sumsumgross isGreaterThan 0 // #i0237
		if =
		if {
			value = 0
				// field = sumsumgross
			isGreaterThan =
			isGreaterThan {
				field = sumsumgross
			}
		}
      // Line 1: Term of credit
    10 = COA
    10 {
        // Pay
      10 = TEXT
      10 {
        value = Kindly remit the balance
        lang {
          de = Bitte überweisen Sie
          en = Kindly remit the balance
					es = Por favor remita el balance
        }
        noTrimWrap = || |
      }
        // amount
      20 = 
      20 < plugin.tx_caddy.defaults.numberFormatCurrency
      20 {
        field = sumsumgross
        value >
        wrap = <b>|</b>
      }
        // until
      21 = TEXT
      21 {
				data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:until
        noTrimWrap = | | |
      }
        // due date
      30 = USER
      30 {
        userFunc = Netzmacher\Caddy\Userfunc\Flexform->calcDueDate
        userFunc {
          strtotime = {$plugin.caddy.main.dueDate}
          strftime  = {$plugin.caddy.main.dueDateFormat}
        }
      }
        // invoice number
      40 = COA
      40 {
          // text
        10 = TEXT
        10 {
          value = with the annotation
          lang {
            de = mit dem Vermerk
            en = with the annotation
						es = con la anotación
          }
          noTrimWrap  = | | |
        }
          // invoice number
        20 = COA
        20 {
            // label
          10 = TEXT
          10 {
            data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:invoicenumber
            noTrimWrap = || |
          }
            // prefix
          20 = TEXT
          20 {
            value = {$plugin.caddy.pdf.invoice.number.prefix}
          }
            // number
          30 = TEXT
          30 {
            field = numberInvoiceCurrent
          }
          wrap = "<b>|</b>"
        }
      }
        // to account
      50 = TEXT
      50 {
        value = to our account
        lang {
          de = auf unser Konto
          en = to our account
					es = a nuestra cuenta
        }
        noTrimWrap = | |:<br />|
      }
        // IBAN
      60 = COA
      60 {
					// if.isTrue = $plugin.caddy.bankaccount.iban (here: {$plugin.caddy.bankaccount.iban})
				if = 
				if {
					isTrue = {$plugin.caddy.bankaccount.iban}
				}
        10 = TEXT
        10 {
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:IBAN
          noTrimWrap = ||: |
        }
        20 = TEXT
        20 {
          value = {$plugin.caddy.bankaccount.iban}
          noTrimWrap = ||, |
        }
      }
        // BIC
      61 = COA
      61 {
					// if.isTrue = $plugin.caddy.bankaccount.bic (here: {$plugin.caddy.bankaccount.bic})
				if = 
				if {
					isTrue = {$plugin.caddy.bankaccount.bic}
				}
        10 = TEXT
        10 {
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:BIC
          noTrimWrap = ||: |
        }
        20 = TEXT
        20 {
          value = {$plugin.caddy.bankaccount.bic}
          noTrimWrap = ||, |
        }
      }
        // VAT Reg.No.
      62 = COA
      62 {
					// if.isTrue = $plugin.caddy.tax.vatregno (here: {$plugin.caddy.tax.vatregno})
				if = 
				if {
					isTrue = {$plugin.caddy.tax.vatregno}
				}
        10 = TEXT
        10 {
          data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:tax_reg_no
          noTrimWrap = ||: |
        }
        20 = TEXT
        20 {
          value = {$plugin.caddy.tax.vatregno}
        }
      }
	    wrap = <p>|</p>
    }
      // Line 2: Recommend us
    20 = TEXT
    20 {
      value = We will be happy, if you recommend us.
      lang {
        de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
        en = We will be happy, if you recommend us.
				es = Estaremos encantados, si nos recomiendan.
      }
	    wrap = <p>|</p>
    }
  }
}

plugin.tx_caddy_pi1 {
    // empty statement for proper comments only
  _HTMLMARKER {
  }
    // caddy_bankaccount
  _HTMLMARKER =
  _HTMLMARKER {
        // 1. cash in advance. 2. invoice. 3. cash on delivery. 4. cash on pick up. 5. debit note (de: Lastschrift).
    caddy_bankaccount = CASE
    caddy_bankaccount {
        // optionspaymentid
      key = TEXT
      key {
        field = optionspaymentid
      }
        // default error message
      default = COA
      default {
        10 = TEXT
        10 {
          value = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.key =
          lang {
            de = TYPOSCRIPT FEHLER: key für CASE ist nicht definiert. Siehe: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.key =
            en = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.key =
						es = ERROR TYPOSCRIPT: la clave para CASE no está definida. Consulte: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.key =
          }
          noTrimWrap = || |
        }
        20 = TEXT
        20 {
          field = optionspaymentid
        }
        wrap = <p>|</p>
      }
        // cash in advance (de: Vorkasse): term of credit, recommend us
      1 = CASE
      1 {
          // plugin.caddy.api.invoice.extra
        key = {$plugin.caddy.api.invoice.note}
          // error prompt
        default = TEXT
        default {
          value = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.1.key = {$plugin.caddy.api.invoice.note}
          lang {
            de = TYPOSCRIPT FEHLER: key für CASE ist nicht definiert. Siehe: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.1.key = {$plugin.caddy.api.invoice.note}
            en = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.1.key = {$plugin.caddy.api.invoice.note}
            es = ERROR TYPOSCRIPT: la clave para CASE no está definida. Consulte: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.1.key = {$plugin.caddy.api.invoice.note}
          }
          wrap = <p>|</p>
        }
          // invoice (de: Rechnung): term of credit, recommend us
        invoiceattached < temp.caddy.draftInvoice
          // order note: pay cash later
        invoiceextra = COA
        invoiceextra {
					10 = TEXT
					10 {
						value = You have selected the payment method cash in advance. Please pay the order after receiving the invoice, which we will send extra.
						lang {
							de = Sie haben als Zahlungsart Vorkasse gewählt: Bitte bezahlen Sie die Bestellung nach Erhalt der Rechnung, die wir Ihnen extra zusenden.
							en = You have selected the payment method cash in advance. Please pay the order after receiving the invoice, which we will send extra.
							es = Has seleccionado el método de pago en efectivo por adelantado. Por favor, pague el pedido después de recibir la factura, que le enviaremos extra.
						}
						wrap = |<br />
					}
					20 = TEXT
					20 {
						value = We will be happy, if you recommend us.
						lang {
							de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
							en = We will be happy, if you recommend us.
							es = Estaremos encantados, si nos recomiendan.
						}
					}
          wrap = <p>|</p>
        }
				invoice < plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.1.invoiceattached
				order < plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.1.invoiceextra
      }
        // invoice (de: Rechnung)
      2 = CASE
      2 {
          // plugin.caddy.api.invoice.extra
        key = {$plugin.caddy.api.invoice.note}
          // error prompt
        default = TEXT
        default {
          value = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.2.key = {$plugin.caddy.api.invoice.note}
          lang {
            de = TYPOSCRIPT FEHLER: key für CASE ist nicht definiert. Siehe: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.2.key = {$plugin.caddy.api.invoice.note}
            en = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.2.key = {$plugin.caddy.api.invoice.note}
            es = ERROR TYPOSCRIPT: la clave para CASE no está definida. Consulte: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.2.key = {$plugin.caddy.api.invoice.note}
          }
          wrap = <p>|</p>
        }
          // invoice (de: Rechnung): term of credit, recommend us
        invoiceattached < temp.caddy.draftInvoice
          // order note: pay cash later
        invoiceextra = COA
        invoiceextra {
					10 = TEXT
					10 {
						value = You have selected the payment method invoice. We will send the invoice soon.
						lang {
							de = Sie haben als Zahlungsart Rechnung gewählt: Die Rechnung senden wir Ihnen extra zu.
							en = You have selected the payment invoice. We will send the invoice soon.
							es = Ha elegido como método de pago factura: le enviaremos la factura extra.
						}
						wrap = |<br />
					}
					20 = TEXT
					20 {
						value = We will be happy, if you recommend us.
						lang {
							de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
							en = We will be happy, if you recommend us.
							es = Estaremos encantados, si nos recomiendan.
						}
					}
          wrap = <p>|</p>
        }
				invoice < plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.2.invoiceattached
				order < plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.2.invoiceextra
      }
        // cash on delivery (de: Nachnahme): term of credit, recommend us
      3 = COA
      3 {
				10 = TEXT
				10 {
					value = Please pay the cash on delivery.
					lang {
						de = Bitte bezahlen Sie die Ware bei der Lieferung.
						en = Please pay the cash on delivery.
						es = Por favor pague el contra reembolso.
					}
					wrap = |<br />
				}
				20 = TEXT
				20 {
					value = We will be happy, if you recommend us.
					lang {
						de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
						en = We will be happy, if you recommend us.
						es = Estaremos encantados, si nos recomiendan.
					}
				}
				wrap = <p>|</p>
      }
        // cash on pick up (de: Bar bei Abholung): term of credit, recommend us
      4 = COA
      4 {
				10 = TEXT
				10 {
					value = Please pay the cash on pick up.
					lang {
						de = Bitte bezahlen Sie die Ware bei Abholung.
						en = Please pay the cash on pick up.
						es = Por favor, pagar el dinero en efectivo en la recogida.
					}
					wrap = |<br />
				}
				20 = TEXT
				20 {
					value = We will be happy, if you recommend us.
					lang {
						de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
						en = We will be happy, if you recommend us.
						es = Estaremos encantados, si nos recomiendan.
					}
				}
				wrap = <p>|</p>
      }
        // debit note (de: Lastschrift): term of credit, recommend us
      5 = COA
      5 {
				10 = COA
				10 {
						// ... We will debit the amount from ...
					10 = TEXT
					10 {
						value = You have selected debit note. We will debit the amount from your account
						lang {
							de = Sie haben als Zahlungsmethode Lastschrift gewählt. Wir buchen den Betrag von Ihrem Konto ab
							en = You have selected debit note. We will debit the amount from your account
							es = Has seleccionado domiciliación bancaria como método de pago. Reservaremos el importe de su cuenta a partir del
						}
						noTrimWrap = ||:<br /> |
					}
						// Owner, if.isTrue.field = debitOwner
					20 = COA
					20 {
							// if.isTrue.field = debitOwner
						if = 
						if {
							isTrue {
								field = debitOwner
							}
						}
							// Label
						10 = TEXT
						10 {
							data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:accountowner
							noTrimWrap = |<b>|</b> |
						}
							// Value
						20 = TEXT
						20 {
							field = debitOwner
							noTrimWrap = || |
						}
					}
						// BIC, if.isTrue.field = debitBic
					30 = COA
					30 {
							// if.isTrue.field = debitBic
						if = 
						if {
							isTrue {
								field = debitBic
							}
						}
							// Label
						10 = TEXT
						10 {
							data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:BIC
							noTrimWrap = |<b>|</b> |
						}
							// Value
						20 = TEXT
						20 {
							field = debitBic
							noTrimWrap = || |
						}
					}
						// IBAN, if.isTrue.field = debitIban
					40 = COA
					40 {
							// if.isTrue.field = debitIban
						if = 
						if {
							isTrue {
								field = debitIban
							}
						}
							// Label
						10 = TEXT
						10 {
							data = LLL:EXT:caddy/Resources/Private/Language/Plugins/pi1/locallang.xlf:IBAN
							noTrimWrap = |<b>|</b> |
						}
							// Value
						20 = TEXT
						20 {
							field = debitIban
							noTrimWrap = || |
						}
					}
					wrap = |<br />
				}
				20 = TEXT
				20 {
					value = We will be happy, if you recommend us.
					lang {
						de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
						en = We will be happy, if you recommend us.
						es = Estaremos encantados, si nos recomiendan.
					}
				}
				wrap = <p>|</p>
      }
        // cash in advance (de: Vorkasse): term of credit, recommend us
      6 = CASE
      6 {
          // plugin.caddy.api.invoice.extra
        key = {$plugin.caddy.api.invoice.note}
          // error prompt
        default = TEXT
        default {
          value = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.6.key = {$plugin.caddy.api.invoice.note}
          lang {
            de = TYPOSCRIPT FEHLER: key für CASE ist nicht definiert. Siehe: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.6.key = {$plugin.caddy.api.invoice.note}
	          en = TYPOSCRIPT ERROR: key for CASE is undefined. See: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.6.key = {$plugin.caddy.api.invoice.note}
	          es = ERROR TYPOSCRIPT: la clave para CASE no está definida. Consulte: plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.6.key = {$plugin.caddy.api.invoice.note}
          }
          wrap = <p>|</p>
        }
          // invoice (de: Rechnung): term of credit, recommend us
        invoiceattached = COA
        invoiceattached {
					10 = TEXT
					10 {
						value = You have selected the payment method cash in advance by paypal. Please transfer the amount to my papypal-account {$plugin.caddy.options.payment.6.email}. {$plugin.caddy.options.payment.6.url}
						lang {
							de = Sie haben als Zahlungsart Vorkasse mit Paypal gewählt: Bitte bezahlen Sie den Betrag auf mein Paypal-Konto {$plugin.caddy.options.payment.6.email}. Paypal: {$plugin.caddy.options.payment.6.url}
							en = You have selected the payment method cash in advance by paypal. Please transfer the amount to my papypal-account {$plugin.caddy.options.payment.6.email}. {$plugin.caddy.options.payment.6.url}
							es = Ha elegido pagar por adelantado con Paypal: pague la cantidad a mi cuenta de Paypal {$plugin.caddy.options.payment.6.email}. Paypal: {$plugin.caddy.options.payment.6.url}
						}
						wrap = |<br />
					}
					20 = TEXT
					20 {
						value = We will be happy, if you recommend us.
						lang {
							de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
							en = We will be happy, if you recommend us.
							es = Estaremos encantados, si nos recomiendan.
						}
					}
					wrap = <p>|</p>
        }
          // order note: pay cash later
        invoiceextra = COA
        invoiceextra {
					10 = TEXT
					10 {
						value = You have selected the payment method invoice. We will send the invoice soon.
						lang {
							de = Sie haben als Zahlungsart Rechnung gewählt: Die Rechnung senden wir Ihnen extra zu.
							en = You have selected the payment method invoice. We will send the invoice soon.
							es = Ha elegido como método de pago factura: le enviaremos la factura extra.
						}
						wrap = |<br />
					}
					20 = TEXT
					20 {
						value = We will be happy, if you recommend us.
						lang {
							de = Wir w&uuml;rden uns freuen, wenn Sie uns weiterempfehlen.
							en = We will be happy, if you recommend us.
							es = Estaremos encantados, si nos recomiendan.
						}
					}
					wrap = <p>|</p>
        }
				invoice < plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.6.invoiceattached
				order < plugin.tx_caddy_pi1._HTMLMARKER.caddy_bankaccount.6.invoiceextra
      }
    }
  }
}