page {
    // empty statement for proper comments only
  jsFooterInline {
  }
    // 10960: caddy delivery address
  jsFooterInline =
  jsFooterInline {
      // caddy: toogle the delivery address, if is true plugin.caddy.deliveryaddress.includescript (here: '{$plugin.caddy.deliveryaddress.includescript}')
    10960 = TEXT 
    10960 {
        // if is true plugin.caddy.deliveryaddress.includescript (here: '{$plugin.caddy.deliveryaddress.includescript}')
      if =
      if {
        isTrue = {$plugin.caddy.deliveryaddress.includescript}
      }
      value(

        /**
         *
         * Copyright (c) 2016-2020 - Dirk Wildt
         * http://wildt.at.die-netzmacher.de/
         *

         * Version 7.2.5
         *
         * Toogle the delivery address
         */

        jQuery( document ).ready( function( )
        {
            // HTML id of the checkbox for displaying the delivery address
          var checkboxDeliveryAddress = "#powermail_field_{$plugin.caddy.deliveryaddress.powermail.variable}_1";

            // needed powermail field isn't part of the dom. This is proper in case of a page without the caddy.
          if( !$( checkboxDeliveryAddress ).length )
          {
              // Return without any error prompt
            if( '1' != '{$plugin.caddy.deliveryaddress.powermail.debug}' )
            {
              return;
            }
              // Return with a prompt
            var prompt  = "FATAL ERROR:\n" 
                        + "\n"
                        + "HTML id '" + checkboxDeliveryAddress + "' is not defined.\n"
                        + "\n"
                        + "Please check: \n"
                        + "* Constant Editor > Category [CADDY - DELIVERY ADDRESS]\n"
                        + "* Powermail field: the name of the variable for the checkbox for displaying the delivery address.\n"
                        + "  It must correspond with the current value in the Constant Editor: '{$plugin.caddy.deliveryaddress.powermail.variable}'\n"
                        + "\n"
                        + "If you don\'t need this script, please disable it by the Constant Editor. See above.\n"
                        ;
            alert( prompt );
            return;
          }

            // Get the child element of the next fieldset in dom line to top (ascending)
          var parentFieldset = $( checkboxDeliveryAddress ).parentsUntil('fieldset');
            // Get the grandparent of the fieldset child: this is the parent of the fieldset and should be the current tab
          var tabId = parentFieldset.parent().parent().attr('id');
          //alert( '68: ' + tabId );
          
            // Return, if the current dom element hasn't any id
          if( tabId == undefined )
          {
              // Return without any error prompt
            if( '1' != '{$plugin.caddy.deliveryaddress.powermail.debug}' )            
            {
              return;
            }
            var prompt  = "FATAL ERROR:\n" 
                        + "\n"
                        + "$('" + checkboxDeliveryAddress + "').parent( ).parent( ).parent( ).parent( ) hasn\'t  any id."
                        + "\n"
                        + "Please check: \n"
                        + "* Constant Editor > Category [CADDY - DELIVERY ADDRESS]\n"
                        + "* Powermail field: the name of the variable for the checkbox for displaying the delivery address.\n"
                        + "  It must correspond with the current value in the Constant Editor: '{$plugin.caddy.deliveryaddress.powermail.variable}'\n"
                        + "\n"
                        + "If you don\'t need this script, please disable it by the Constant Editor. See above.\n"
                        ;
            alert( prompt );
            return;
          }

            // Selector of the fieldset of the tab
          var selectorTabFieldset = $( "#" + tabId + " fieldset:first");
          //alert( '99: ' + $( selectorTabFieldset ).attr('class'));
          
            // Method for toogle the display of the delivery address
          $( checkboxDeliveryAddress ).bind(
            'click',
            function( e )
            {
              if( $( checkboxDeliveryAddress ).is( ':checked' ))
              {
                  // Display all fields (divs) of the fieldset delivery address
                $( selectorTabFieldset ).children( 'div' ).slideDown( 'fast' );
              }
              else
              {
                  // Hide all fields (divs) of the fieldset delivery address
                $( selectorTabFieldset ).children( 'div' ).slideUp( 'fast' );
                  // Display the checkbox and back-/forward-button
                $( '.powermail_fieldwrap_toogledeliveryaddress' ).slideDown( 'fast' );
                $( '.parentdisplay' ).parent().parent().slideDown( 'fast' );
              }
            });

            // Initial trigger
          $( checkboxDeliveryAddress ).prop('checked', true);
          $( checkboxDeliveryAddress ).trigger( 'click' );

        });
)
    }
  }
}