-- Set the period. 
-- Samples
--   2017									:	from 01.01.2017 to 01.01.2018
--   march 2017						:	from 01.03.2017 to 01.04.2017
--   4th quarter of 2017	: from 01.10.2017 to 01.01.2018
SET @fromDate = '01.03.2017';
SET @toDate = '01.04.2017';
SELECT		FROM_UNIXTIME(tx_caddy_item.tstamp,'%Y') as 'year',
					QUARTER(FROM_UNIXTIME(tx_caddy_item.tstamp,'%Y-%m-%d')) as 'quarter',
					FROM_UNIXTIME(tx_caddy_item.tstamp,'%Y-%m') as 'yearmonth',
					FROM_UNIXTIME(tx_caddy_item.tstamp,'%Y-%m-%d') as 'date',
					tx_caddy_item.title,
					tx_caddy_item.sku,
					tx_caddy_item.quantity,
					tx_caddy_order.statisticValue01,
					tx_caddy_item.externalTable,
					tx_caddy_item.externalUid
FROM			tx_caddy_item
LEFT JOIN			tx_caddy_order
					ON	tx_caddy_item.tx_caddy_order = tx_caddy_order.uid
WHERE					tx_caddy_item.tstamp >= UNIX_TIMESTAMP(STR_TO_DATE(@fromDate, '%d.%m.%Y')) 
					AND tx_caddy_item.tstamp < UNIX_TIMESTAMP(STR_TO_DATE(@toDate, '%d.%m.%Y')) 
ORDER BY	FROM_UNIXTIME(tx_caddy_item.tstamp,'%Y-%m-%d') DESC, tx_caddy_item.title;