/* #i0081, 150416, dwildt, 1- */
/* $.noConflict(); */

jQuery(document).ready(function ($) {
	var formlang = 'de';
	var doc = document;
	var body = $(doc.body);
	var formIndex;

	function PaymillResponseHandler(error, result) {
		//console.debug('PaymillResponseHandler: 1');
		if (!error) {
			var token = result.token;
			submit(token);
		}
		if (error) {
			zz_debugToConsole(13, "error.apierror: " + error.apierror);
			// Zeigt den Fehler oberhalb des Formulars an
			switch (error.apierror)
			{
				case("field_invalid_account_holder"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-holder"]);
					break;
				case("field_invalid_amount"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-amount"]);
					break;
				case("field_invalid_amount_int"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-amount-int"] + ": " + ($('#amount').val() * 100));
					break;
				case("field_invalid_bic"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-bic"]);
					break;
				case("field_invalid_card_cvc"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-card-cvc"]);
					break;
				case("field_invalid_country"):
				case("field_invalid_iban"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-iban"]);
					break;
				case("field_invalid_currency"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-currency"]);
					break;
				case("invalid_payment_data"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid_payment_data"]);
					break;
				case("invalid_public_key"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid_public_key"]);
					break;
				case("payment_not_testdata"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["payment_not_testdata"]);
					break;
				case("unknown_error"):
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["unknown_error"]);
					break;
				default:
					$(".paymill_alert .prompt").text(error.apierror);
					break;
			}
			// zz_debugToConsole(54, 'PaymillResponseHandler: 2');
			$(".paymill_alert").css("display", "block");
			$(".submit-button").removeAttr("disabled");
		}
	}

	function submit(token) {
		$(".paymill_alert").css("display", "none");
		$(".paymill_alert .prompt").text("");
		var form = $(".paymill-form");

		if (token)
		{
			// Token in das Formular einfügen damit es an den Server übergeben wird
			form.append("<input type='hidden' name='tx_caddy_pi1[e-payment][paymill][token]' value='" + token + "'/>");
			// 170921, dwildt, 1+ (test)
			form.append("<input type='hidden' name='paymillToken' value='" + token + "'/>");
			zz_debugToConsole(76, "token: " + token);
		} else {
			zz_debugToConsole(78, "token is empty :(");
		}
		form.get(formIndex).submit();
	}

	function translateForm(language) {
		formlang = language;
		var lang;
		if (translation[language] === undefined) {
			lang = translation['en'];
		} else {
			lang = translation[language];
		}
	}

	function validateIBAN(iban) {
		return true;
	}

	// Toggle buttons and forms
	$("a.payment-type").click(function (event) {
		if ($(this).hasClass('payment-type-active')) {
			return false;
		}
		$(".paymill_alert").css("display", "none");
		$(".paymill_alert .prompt").text("");
		$('.payment-type-active').removeClass('payment-type-active');
		$($(this).attr('href')).addClass('payment-type-active');
		// 141011, dwildt
		$($(this)).next().addClass('payment-type-active');
	});

	$('.card-expiry').keyup(function () {
		if (/^\d\d$/.test($('.card-expiry').val())) {
			text = $('.card-expiry').val();
			$('.card-expiry').val(text += "/");
		}
	});

	$('.card-number').keyup(function () {
		var brand = paymill.cardType($('.card-number').val());
		brand = brand.toLowerCase();
		$(".card-number")[0].className = $(".card-number")[0].className.replace(/paymill-card-number-.*/g, '');
		if (brand !== 'unknown') {
			$('.card-number').addClass("paymill-card-number-" + brand);
		}

		if (brand !== 'maestro') {
			VALIDATE_CVC = true;
		} else {
			VALIDATE_CVC = false;
		}
	});

	$("#elv-bankcode").bind("paste cut keydown", function (e) {
		var that = this;
		setTimeout(function () {
			$("#elv-bankname").val("");
			paymill.getBankName($(that).val(), function (error, result) {
				error ? zz_debugToConsole(137, error.apierror) : $("#elv-bankname").val(result);
			});
		}, 200);
	});

	//#i0164, 170921, dwildt, +
	$("#elv-bic").bind("paste cut keydown", function (e) {
		var that = this;
		setTimeout(function () {
			$("#bic-bankname").val("");
			paymill.getBankName($(that).val(), function (error, result) {
				error ? zz_debugToConsole(148, error.apierror) : $("#bic-bankname").val(result);
			});
		}, 200);
	});

	$(".paymill_alert").css("display", "none");

	$(".paymill-form").submit(function (event) {
		// Workflow for PaymillResponseHandler(): get the index of the current form. 2+
		var formId = $(this).attr("id");
		zz_debugToConsole(158, "formId: " + formId);
		var formItem = document.getElementById(formId);
		formIndex = $(".paymill-form").index(formItem);
		zz_debugToConsole(161, "formIndex: " + formIndex);
		// Absenden Button deaktivieren um weitere Klicks zu vermeiden
		$('.submit-button').attr("disabled", "disabled");

		var paymenttype = '#' + $('div.payment-type-active').attr('id');
		zz_debugToConsole(166, "paymenttype: " + paymenttype);
		var defaultToken = null;
		switch (paymenttype) {
			case "#payment-type-cashinadvance":
			case "#payment-type-cashinadvancepaypal":
			case "#payment-type-cashondelivery":
			case "#payment-type-cashonpickup":
			case "#payment-type-debitnote":
			case "#payment-type-invoice":
			case "#payment-type-paypal":
				$(".submit-button").removeAttr("disabled");
				submit(defaultToken);
				return false;
			case "#payment-type-cc":
				$('.submit-button').attr("disabled", "disabled");
				if (false == paymill.validateHolder($('#card-holdername').val())) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-card-holdername"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					//zz_debugToConsole(182, 'paymill-cc-elv-iban.js#96');
					return false;
				}
				if (false == paymill.validateCardNumber($('#card-number').val())) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-card-number"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					return false;
				}
				expiry = $('#card-expiry').val();
				expiry = expiry.split("/");
				if (expiry[1] && (expiry[1].length <= 2)) {
					expiry[1] = '20' + expiry[1];
				}
				if (false == paymill.validateExpiry(expiry[0], expiry[1])) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-card-expiry-date"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					return false;
				}
				if ((false == paymill.validateCvc($('#card-cvc').val()))) {
					if (VALIDATE_CVC) {
						$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-card-cvc"]);
						$(".paymill_alert").css("display", "block");
						$(".submit-button").removeAttr("disabled");
						return false;
					} else {
						$('#card-cvc').val("000");
					}
				}

				zz_debugToConsole(213, "#amount: " + $('#amount').text());
				zz_debugToConsole(214, "#amount: " + Math.round($('#amount').text() * 100));
				zz_debugToConsole(215, "#card-currency: " + $('#card-currency').val());
				params = {
					amount_int: Math.round($('#amount').text() * 100), // E.g. "15" for 0.15 Eur
					currency: $('#card-currency').val(), // ISO 4217 e.g. "EUR"
					number: $('#card-number').val(),
					exp_month: expiry[0],
					exp_year: expiry[1],
					cvc: $('#card-cvc').val(),
					cardholder: $('#card-holdername').val()
				};
				break;
			case "#payment-type-elv":
				$('.submit-button').attr("disabled", "disabled");
				if (false == $('#elv-holder').val()) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-holder"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					//zz_debugToConsole(232, 'payment-type-elv #186');
					return false;
				}
				if (false == paymill.validateAccountNumber($('#elv-account').val())) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-accountnumber"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					//zz_debugToConsole(239, 'payment-type-elv #193');
					return false;
				}
				if (false == paymill.validateBankCode($('#elv-bankcode').val())) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-bankcode"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					//zz_debugToConsole(246, 'payment-type-elv #200');
					return false;
				}
				params = {
					amount_int: Math.round($('#amount').text() * 100), // E.g. "15" for 0.15 Eur
					currency: $('#elv-currency').val(), // ISO 4217 e.g. "EUR"
					number: $('#elv-account').val(),
					bank: $('#elv-bankcode').val(),
					accountholder: $('#elv-holder').val()
				};
				zz_debugToConsole(258, 'payment-type-elv #212');
				break;
			case "#payment-type-iban":
				zz_debugToConsole(261, "#payment-type-iban");
				$('.submit-button').attr("disabled", "disabled");
				if (false == $('#elv-iban-holder').val()) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-holder"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					zz_debugToConsole(267, "#payment-type-iban: elv-iban-holder isn't proper");
					return false;
				}
				if (!validateIBAN($('#elv-iban').val())) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-iban"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					zz_debugToConsole(274, "#payment-type-iban: elv-iban isn't proper");
					return false;
				}
				if ("" === $('#elv-bic').val()) {
					$(".paymill_alert .prompt").text(translation[formlang]["error"]["invalid-elv-bic"]);
					$(".paymill_alert").css("display", "block");
					$(".submit-button").removeAttr("disabled");
					zz_debugToConsole(281, "#payment-type-iban: elv-bic isn't proper");
					return false;
				}
				params = {
					amount_int: Math.round($('#amount').text() * 100), // E.g. "15" for 0.15 Eur
					currency: $('#elv-iban-currency').val(), // ISO 4217 e.g. "EUR"
					iban: $('#elv-iban').val(),
					bic: $('#elv-bic').val(),
					accountholder: $('#elv-iban-holder').val()
				};
				zz_debugToConsole(293, "#payment-type-iban: success");
				break;
			default:
				//zz_debugToConsole(320, translation[formlang]["error"]["unknown_payment-method"]);
				// 141009, dwildt, 3+
				$(".paymill_alert .prompt").text(translation[formlang]["error"]["unknown_payment-method"]);
				$(".paymill_alert").css("display", "block");
				$(".submit-button").removeAttr("disabled");
				// 141009, dwildt, 3-
//        $(".payment_errors").text(translation[formlang]["error"]["unknown_payment-method"]);
//        $(".payment_errors").css("display", "block");
//        $(".submit-button").removeAttr("disabled");
				return false;
				//break;
		}

		try
		{
			zz_debugToConsole(335, "paymill.createToken( params )");
			zz_debugToConsole(336, params);
			zz_debugToConsole(337, paymill.getApiKey());
			paymill.createToken(params, PaymillResponseHandler);
		} catch (err)
		{
			zz_debugToConsole(341, "err.message: " + err.message);
			$(".paymill_alert .prompt").text(err.message);
			$(".paymill_alert").css("display", "block");
			$(".submit-button").removeAttr("disabled");
			event.preventDefault( ); // Don't execute the click
		}
		return false;
	});

	translateForm(formlang);

});

function zz_debugToConsole(line, prompt) {
	
	// for development only!
	return;
	
	// create console.log to avoid errors in old IE browsers
	if (!window.console)
		console = {
			log: function () {
			}
		};
	if (typeof prompt === 'string' || prompt instanceof String)
	{
		console.log('paymill-cc-elv-iban_5x.js#' + line + ': ' + prompt);
	} else {
		console.log('paymill-cc-elv-iban_5x.js#' + line + ': ');
		console.log(prompt);
	}
}
