#
# INDEX
#
# tx_caddy_item
# tx_caddy_order



#
# Table structure for table 'tx_caddy_item'
#
CREATE TABLE tx_caddy_item (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,

  externalTable tinytext,
  externalUid int(11) DEFAULT '0' NOT NULL,
  gross double(11,2) DEFAULT '0.00' NOT NULL,
  quantity int(11) DEFAULT '0' NOT NULL,
  sku tinytext,
  tax int(11) DEFAULT '0' NOT NULL,
  title tinytext,
	tx_caddy_order int(11) unsigned DEFAULT '0' NOT NULL,
  weight double(11,2) DEFAULT '0.00' NOT NULL,

  PRIMARY KEY (uid),
  KEY parent (pid)
);



#
# Table structure for table 'tx_caddy_order'
#
CREATE TABLE tx_caddy_order (
  uid int(11) NOT NULL auto_increment,
  pid int(11) DEFAULT '0' NOT NULL,
  tstamp int(11) DEFAULT '0' NOT NULL,
  crdate int(11) DEFAULT '0' NOT NULL,
  cruser_id int(11) DEFAULT '0' NOT NULL,
  deleted smallint(5) unsigned DEFAULT '0' NOT NULL,

  customerEmail tinytext,
  customerDebitBic tinytext,
  customerDebitIban tinytext,
  customerDebitOwner tinytext,
  customerDeliveryorderAddress tinytext,
  customerDeliveryorderCity tinytext,
  customerDeliveryorderCompany tinytext,
  customerDeliveryorderCountry tinytext,
  customerDeliveryorderFirstname tinytext,
  customerDeliveryorderLastname tinytext,
  customerDeliveryorderZip tinytext,
  customerInvoiceAddress tinytext,
  customerInvoiceCity tinytext,
  customerInvoiceCompany tinytext,
  customerInvoiceCountry tinytext,
  customerInvoiceFirstname tinytext,
  customerInvoiceLastname tinytext,
  customerInvoiceZip tinytext,
  customerUid tinytext,

  fe_cruser_id int(11) NOT NULL DEFAULT '0',
  fe_group varchar(100) NOT NULL DEFAULT '',

  fileDeliveryorder tinytext,
  fileInvoice tinytext,
  fileOrderconfirmation tinytext,
  fileRevocation tinytext,
  fileTerms tinytext,

  numberDeliveryorder int(11) DEFAULT '0' NOT NULL,
  numberInvoice int(11) DEFAULT '0' NOT NULL,
  numberOrder int(11) DEFAULT '0' NOT NULL,

  pdfDeliveryorderToCustomer smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfDeliveryorderToVendor smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfInvoiceToCustomer smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfInvoiceToVendor smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfOrderconfirmationToCustomer smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfOrderconfirmationToVendor smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfRevocationToCustomer smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfRevocationToVendor smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfTermsToCustomer smallint(5) unsigned DEFAULT '0' NOT NULL,
  pdfTermsToVendor smallint(5) unsigned DEFAULT '0' NOT NULL,

  quantity int(11) DEFAULT '0' NOT NULL,

  statisticValue01 tinytext,

  sumNet double(11,2) DEFAULT '0.00' NOT NULL,
  sumGross double(11,2) DEFAULT '0.00' NOT NULL,
  sumWeight double(11,2) DEFAULT '0.00' NOT NULL,
  sumTaxNormal double(11,2) DEFAULT '0.00' NOT NULL,
  sumTaxReduced double(11,2) DEFAULT '0.00' NOT NULL,

  tx_caddy_item tinytext,

  PRIMARY KEY (uid),
  KEY parent (pid)
);